Subject: bug#641: format-time-string %Z does not work, starting with Emacs 22.2

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Aug 2008 20:16:41 +0300

> From: Ted Zlatanov <[email-masked]>
> Date: Fri, 08 Aug 2008 10:04:24 -0500
> 
> Closest I could find is this chart:
> 
> http://unicode.org/cldr/data/diff/supplemental/windows_tzid.html

Thanks.  I knew about it, it's on my disk for quite some time.

> We could at least provide this, and if the mapping fails we could print
> a message that it's an unknown string, and the user can submit a bug.
> %Z could show the full Windows-provided name, which IMHO is better than
> nothing.

Sorry, but I object to partial solutions like this, since I don't
think providing just English names will satisfy most users.

Perhaps someone could search the Windows files and find the
translations; they must be somewhere inside the Windows installation,
since the name of the time zone changes as soon as you modify a
certain option in the regional settings.

> In addition, we can attempt to guess the right value based on the
> localized string and offset, e.g. Hebrew is probably Israel's time
> zone.

Hebrew is an easy case, because the characters tell you unequivocally
what is the locale.  Latin letters, for example, are much harder.